#include <stdlib.h>
#include <stdio.h>
#include <float.h>
#include <math.h>

#include "lab.h"

int check_results(int m, int n, double* y, double* ref){
	double relerr;
	int   i, errors = 0;
	double TOL   = 100.0 * DBL_EPSILON;
	double SMALL = 100.0 * DBL_MIN;

	for(i=0; i<m; i++){
		if( fabs(ref[i]) > SMALL )
			relerr = fabs((y[i]-ref[i])/ref[i]);
		else
			relerr = fabs((y[i]-ref[i]));
		if(relerr>TOL)
			errors++;
	}
	return(errors);
}
