#include "lab.h"

void init_data(int m, int n, double* y, double* A, double* x, double* ref){
	int i, j;
	
	for(j=0; j<n; j++)
		x[j] = 1.0;

	for(i=0; i<m; i++)   {
		ref[i] = n * i;
		y[i] = -1234.0;
		for(j=0; j<n; j++)
			A[i*n+j] = j;
	} 
}	

void allocate_storage(int m, int n, double** y, double** A, double** x, double** ref){
	if((*y = (double *)malloc(m*sizeof(double))) == NULL) {
		perror("Could not allocate array y"); exit(-1);
	}
	
	if((*A = (double *)malloc(m*n*sizeof(double))) == NULL) {
		perror("Could not allocate the matrix"); exit(-1);
	}

	if((*x = (double *)malloc(n*sizeof(double))) == NULL) {
		perror("Could not allocate array x"); exit(-1);
	}

	if((*ref = (double *)malloc(m*sizeof(double))) == NULL) {
		perror("Could not allocate array ref"); exit(-1);
	}

}
