#ifndef _LAB_H_
#define _LAB_H_
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "realtime.h"

extern double flops;

void vxm_ref         (int m, int n, const double* A, const double* x, double* y);
void vxm_order       (int m, int n, const double* A, const double* x, double* y);
void vxm_restrict    (int m, int n, const double* A, const double* x, double* y);
void vxm_mkl         (int m, int n, const double* A, const double* x, double* y);

void init_data       (int m, int n, double*  y, double*  A, double*  x, double*  ref);
void allocate_storage(int m, int n, double** y, double** A, double** x, double** ref);

int check_results    (int m, int n, double* y, double* ref);

#endif
